Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JTAStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JTAStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JTAStats, Serializable, javax.management.j2ee.statistics.Stats

public class JTAStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JTAStats

The JSR77.6.30 JTAStats implementation

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`JTAStatsImpl()`
`JTAStatsImpl(javax.management.j2ee.statistics.CountStatistic activeCount, javax.management.j2ee.statistics.CountStatistic commitCount, javax.management.j2ee.statistics.CountStatistic rollbackCount)`

Method Summary
`javax.management.j2ee.statistics.CountStatistic` | `getActiveCount()` Number of active transactions.
`javax.management.j2ee.statistics.CountStatistic` | `getCommittedCount()` Number of committed transactions.
`javax.management.j2ee.statistics.CountStatistic` | `getRolledbackCount()` Number of rolled-back transactions.

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JTAStatsImpl

    public JTAStatsImpl()

### JTAStatsImpl

    public JTAStatsImpl(javax.management.j2ee.statistics.CountStatistic activeCount,
                        javax.management.j2ee.statistics.CountStatistic commitCount,
                        javax.management.j2ee.statistics.CountStatistic rollbackCount)

Method Detail

### getActiveCount

    public javax.management.j2ee.statistics.CountStatistic getActiveCount()

  Description copied from interface: `javax.management.j2ee.statistics.JTAStats`
  Number of active transactions.

  Specified by:
    `getActiveCount` in interface `javax.management.j2ee.statistics.JTAStats`

### getCommittedCount

    public javax.management.j2ee.statistics.CountStatistic getCommittedCount()

  Description copied from interface: `javax.management.j2ee.statistics.JTAStats`
  Number of committed transactions.

  Specified by:
    `getCommittedCount` in interface `javax.management.j2ee.statistics.JTAStats`

### getRolledbackCount

    public javax.management.j2ee.statistics.CountStatistic getRolledbackCount()

  Description copied from interface: `javax.management.j2ee.statistics.JTAStats`
  Number of rolled-back transactions.

  Specified by:
    `getRolledbackCount` in interface `javax.management.j2ee.statistics.JTAStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.